package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 单站监控-液冷
 *
 */
public class CoolingDataViewVo {

    /** 设备名称 */
    private String deviceName;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** 供水温度 */
    @Excel(name = "供水温度")
    private BigDecimal gsTemp;

    /** 回水温度 */
    @Excel(name = "回水温度")
    private BigDecimal hsTemp;

    /** 供水压力 */
    @Excel(name = "供水压力")
    private BigDecimal gsPressure;

    /** 回水压力 */
    @Excel(name = "回水压力")
    private BigDecimal hsPressure;

    /** 冷源水温度 */
    @Excel(name = "冷源水温度")
    private BigDecimal lysTemp;

    /** VB01开度 */
    @Excel(name = "VB01开度")
    private BigDecimal vb01Kd;

    /** VB02开度 */
    @Excel(name = "VB02开度")
    private BigDecimal vb02Kd;

    /** 设备唯一标识符 */
    private String deviceId;

    /** 报警个数 */
    private int alarmNum;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public BigDecimal getGsTemp() {
        return gsTemp;
    }

    public void setGsTemp(BigDecimal gsTemp) {
        this.gsTemp = gsTemp;
    }

    public BigDecimal getHsTemp() {
        return hsTemp;
    }

    public void setHsTemp(BigDecimal hsTemp) {
        this.hsTemp = hsTemp;
    }

    public BigDecimal getGsPressure() {
        return gsPressure;
    }

    public void setGsPressure(BigDecimal gsPressure) {
        this.gsPressure = gsPressure;
    }

    public BigDecimal getHsPressure() {
        return hsPressure;
    }

    public void setHsPressure(BigDecimal hsPressure) {
        this.hsPressure = hsPressure;
    }

    public BigDecimal getLysTemp() {
        return lysTemp;
    }

    public void setLysTemp(BigDecimal lysTemp) {
        this.lysTemp = lysTemp;
    }

    public BigDecimal getVb01Kd() {
        return vb01Kd;
    }

    public void setVb01Kd(BigDecimal vb01Kd) {
        this.vb01Kd = vb01Kd;
    }

    public BigDecimal getVb02Kd() {
        return vb02Kd;
    }

    public void setVb02Kd(BigDecimal vb02Kd) {
        this.vb02Kd = vb02Kd;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public int getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(int alarmNum) {
        this.alarmNum = alarmNum;
    }
}
